FMAX(3)

NAME
fmax, fmaxf - maximum

SYNOPSIS

#include <math.h>

double fmax(double x, double y);

float fmaxf(float x, float y);

DESCRIPTION

The fmax functions determine the maximum numeric value of their arguments. NaN arguments are treated as missing data: if one argument is a NaN and the other numeric, then the fmax functions choose the numeric value.

RETURNS

The fmax functions return the maximum numeric value of their arguments.

PORTABILITY

ANSI C, POSIX.